# UI for ClearCOIN Marketplace App

This package provides a UI for the ClearCOIN decentralized exchange validator
nodes.

## Updating Configuration

As more full validators come online, the default quorum set configuration can
be updated to provide even more redundancy to the network. To preserve any
local user changes to the configuration files, we use a custom python script
to update the configuration in place. To see all supported arguments:

```
python upgrade_validators.py -h
```

To upgrade a configuration file using the `validators.toml` file that shipped
with the repository:

```
python upgrade_validators.py /etc/stellar/stellar-core.cfg --backup /home/root/stellar-core.bak
```

Or specify a custom path to the validators file to update to:

```
python upgrade_validators.py /etc/stellar/stellar-core.cfg --stub /home/root/custom-stub.cfg
```

Note that this package additionally requires the `toml` python package to run.